# pandas.tseries.offsets.FY5253Quarter

class `pandas.tseries.offsets.``FY5253Quarter`(n=1, normalize=False, weekday=0, startingMonth=1, qtr_with_extra_week=1, variation='nearest')

  DateOffset increments between business quarter dates for 52-53 week fiscal year (also known as a 4-4-5 calendar).

  It is used by companies that desire that their fiscal year always end on the same day of the week.

  It is a method of managing accounting periods. It is a common calendar structure for some industries, such as retail, manufacturing and parking industry.

  For more information see: https://en.wikipedia.org/wiki/4-4-5_calendar

  The year may either: - end on the last X day of the Y month. - end on the last X day closest to the last day of the Y month.

  X is a specific day of the week. Y is a certain month of the year

  startingMonth = 1 corresponds to dates like 1/31/2007, 4/30/2007, … startingMonth = 2 corresponds to dates like 2/28/2007, 5/31/2007, … startingMonth = 3 corresponds to dates like 3/30/2007, 6/29/2007, …

  Parameters:

  n : int

  weekday : {0, 1, …, 6}

  > 0: Mondays 1: Tuesdays 2: Wednesdays 3: Thursdays 4: Fridays 5: Saturdays 6: Sundays

  startingMonth : The month in which fiscal years end. {1, 2, … 12}

  qtr_with_extra_week : The quarter number that has the leap

  > or 14 week when needed. {1,2,3,4}

  variation : str

  > {“nearest”, “last”} for “LastOfMonth” or “NearestEndMonth”

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
  `kwds` |
  `name` |
  `nanos` |
  `rule_code` |

  Methods

  `__call__` |
  `apply`(other) |
  `apply_index` | Vectorized apply of DateOffset to DatetimeIndex, raises NotImplentedError for offsets without a vectorized implementation.
  `copy` |
  `get_weeks`(dt) |
  `isAnchored`() |
  `onOffset`(dt) |
  `rollback`(dt) | Roll provided date backward to next offset only if not on offset.
  `rollforward`(dt) | Roll provided date forward to next offset only if not on offset.
  `year_has_extra_week`(dt) |

Scroll To Top